Gatana logoGatana Docs
RoutesUsersUseridProfilesProfileid

/users/{userId}/profiles/{profileId}

Change the lock status of a profile assignment; organization owners only

PATCH
/users/{userId}/profiles/{profileId}
AuthorizationBearer <token>

In: header

Path Parameters

userId*string

ID of the user

profileId*string

ID of the profile

Request Body

application/json

isLockedByOrgOwner*boolean

Whether an organization owner locks the assignment

Response Body

application/json

curl -X PATCH "https://YOUR_ORG_ID.gatana.ai/api/v1/users/string/profiles/string" \  -H "Content-Type: application/json" \  -d '{    "isLockedByOrgOwner": true  }'
{
  "profileAssignments": [
    {
      "tenantId": "string",
      "userId": "string",
      "profileId": "string",
      "isLockedByOrgOwner": true,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}